## java-gnome 2.6.0.1

=== doc-core/Makefile ===
################################################################################
# This file is automatically generated by ./genMakefile.in 
# from Makefile.in.in and other sources linked from there. Do not edit directly
################################################################################

# This file is part of Java-GNOME.
#
# Java-GNOME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Java-GNOME is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Java-GNOME; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
version=2.6.0
apiversion=2.6
gtkversion=2.4.0
gtkapiversion=2.4
vteversion=0.11.10
vteapiversion=0.11

top_srcdir=..
srcdir=.

# Directories for configure.  Will remove the redundant ones when we know where
# to install the files.
prefix=/home/debian/java-gnome/java-gnome-2.6.0.1/debian/tmp/usr
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${prefix}/lib/jni
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com

INSTALL=/usr/bin/install -c
JG_DOC_DIR=../

# Set Java related stuff
JAVADOC = /usr/bin/javadoc
JAVAC = /usr/bin/javac
JAVA = /usr/bin/java
JAR = /usr/bin/jar

DOCBOOK = /usr/bin/db2html

all: faq 


faq: build-faq/index.html
build-faq/index.html: doc/FAQ.sgml
	-mkdir build-faq
	$(DOCBOOK) -o build-faq doc/FAQ.sgml

SOURCE_PATH:=../gtk/src/java/org/gnu/gtk/*.java \
			../gtk/src/java/org/gnu/gtk/event/*.java \
				../glib/src/java/org/gnu/glib/*.java \
				../gdk/src/java/org/gnu/gdk/*.java \
				../pango/src/java/org/gnu/pango/*.java \
				../atk/src/java/org/gnu/atk/*.java
SOURCES:= $(shell /bin/ls $(SOURCE_PATH) ) 

## IF YOU MODIFY JAVADOC CREATION, PLEASE ALSO MODIFY IT IN THE BUILD SCRIPT ###
JAVADOC_OPTIONS=-public -use -version -author
JAVADOC_FOOTER="Please send any bug reports, comments, or suggestions for the API or documentation to <a href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@lists.sf.net</a>"
# API documentation is generated by the build scripts for the tarballs. This
# target should only be used from cvs (and in fact will only work from cvs)
api: $(SOURCES)
	-mkdir -pv api 
	-rm -rf api/* 
	$(JAVADOC) \
		-d api \
		-sourcepath ../gtk/src/java:../gdk/src/java:../glib/src/java:../pango/src/java:../atk/src/java: \
		$(JAVADOC_OPTIONS) \
		-windowtitle "Java-Gnome $(apiversion) API Reference" \
		-doctitle "Java-Gnome $(apiversion) API Reference" \
		-footer $(JAVADOC_FOOTER) \
		org.gnu.glib \
		org.gnu.pango \
		org.gnu.atk \
		org.gnu.gdk \
		org.gnu.gtk \
		org.gnu.gtk.event 


# Install targets
install: faq 
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core/
	$(INSTALL) -m644 build-faq/index.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core/faq.html
	$(INSTALL) -m644 tutorial/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core/
	# TODO: create a makefile in the following place, linking to the jar files,
	# setting ld-library-path, etc. as determined by the configure script.
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/atk/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gdk/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/glib/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/pango/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/resources
	$(INSTALL) -m644 api/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/
	$(INSTALL) -m644 api/*.css $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/
	$(INSTALL) -m644 api/package-list $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/
	$(INSTALL) -m644 api/org/gnu/atk/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/atk/
	$(INSTALL) -m644 api/org/gnu/atk/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/atk/class-use/
	$(INSTALL) -m644 api/org/gnu/gdk/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gdk/
	$(INSTALL) -m644 api/org/gnu/gdk/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gdk/class-use/
	$(INSTALL) -m644 api/org/gnu/glib/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/glib/
	$(INSTALL) -m644 api/org/gnu/glib/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/glib/class-use/
	$(INSTALL) -m644 api/org/gnu/gtk/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/
	$(INSTALL) -m644 api/org/gnu/gtk/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/class-use/
	$(INSTALL) -m644 api/org/gnu/gtk/event/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event/
	$(INSTALL) -m644 api/org/gnu/gtk/event/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event/class-use/
	$(INSTALL) -m644 api/org/gnu/pango/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/pango/
	$(INSTALL) -m644 api/org/gnu/pango/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/pango/class-use/
	$(INSTALL) -m644 api/resources/* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/resources/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/alignment
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/appication
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/aspectframe
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/base
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttonbox
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttons
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/calendar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/checkbutton
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/dataTable
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/draganddrop
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/editor
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/entry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fileselector
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fixed
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/frame
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/html
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/image
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/invisible
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/mandel
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/notebook
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/packbox
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/paned
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/progressbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/radiobuttons
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/rangewidgets
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/scale
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/scrolledwin
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/spinbutton
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/statusbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/stockicons
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/table
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/testgtk
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/text
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/textbuffer
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/tree
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/treestore
	$(INSTALL) -m644 examples/alignment/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/alignment
	$(INSTALL) -m644 examples/application/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/application
	$(INSTALL) -m644 examples/aspectframe/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/aspectframe
	$(INSTALL) -m644 examples/base/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/base
	$(INSTALL) -m644 examples/buttonbox/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttonbox
	$(INSTALL) -m644 examples/buttons/*.java examples/buttons/*.xpm $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttons
	$(INSTALL) -m644 examples/calendar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/calendar
	$(INSTALL) -m644 examples/checkbutton/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/checkbutton
	$(INSTALL) -m644 examples/dataTable/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/dataTable
	$(INSTALL) -m644 examples/draganddrop/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/draganddrop
	$(INSTALL) -m644 examples/editor/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/editor
	$(INSTALL) -m644 examples/entry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/entry
	$(INSTALL) -m644 examples/fileselector/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fileselector
	$(INSTALL) -m644 examples/fixed/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fixed
	$(INSTALL) -m644 examples/frame/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/frame
	$(INSTALL) -m644 examples/html/*.java examples/html/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/html
	$(INSTALL) -m644 examples/image/*.java examples/image/*.xpm $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/image
	$(INSTALL) -m644 examples/invisible/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/invisible
