=== doc-glade/Makefile ===
################################################################################
# This file is automatically generated by ./genMakefile.in 
# from Makefile.in.in and other sources linked from there. Do not edit directly
################################################################################

# This file is part of Java-GNOME.
#
# Java-GNOME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Java-GNOME is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Java-GNOME; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
version=2.6.0
apiversion=2.6
gtkversion=2.4.0
gtkapiversion=2.4
vteversion=0.11.10
vteapiversion=0.11

top_srcdir=..
srcdir=.

# Directories for configure.  Will remove the redundant ones when we know where
# to install the files.
prefix=/home/debian/java-gnome/java-gnome-2.6.0.1/debian/tmp/usr
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${prefix}/lib/jni
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com

INSTALL=/usr/bin/install -c
JG_DOC_DIR=../

# Set Java related stuff
JAVADOC = /usr/bin/javadoc
JAVAC = /usr/bin/javac
JAVA = /usr/bin/java
JAR = /usr/bin/jar

DOCBOOK = /usr/bin/db2html

all: api

	
SOURCE_PATH:=../glade/src/java/org/gnu/glade/*.java 
SOURCES:= $(shell /bin/ls $(SOURCE_PATH) ) 

## IF YOU MODIFY JAVADOC CREATION, PLEASE ALSO MODIFY IT IN THE BUILD SCRIPT ###
JAVADOC_OPTIONS=-public -use -version -author
JAVADOC_FOOTER="Please send any bug reports, comments, or suggestions for the API or documentation to <a href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@lists.sf.net</a>"
# API documentation is generated by the build scripts for the tarballs. This
# target should only be used from cvs (and in fact will only work from cvs)
api: $(SOURCES)
	-mkdir -pv api 
	-rm -rf api/* 
	$(JAVADOC) \
		-d api \
		-sourcepath ../glade/src/java:../gnome/src/java:../gtk/src/java:../atk/src/java:../gdk/src/java:../pango/src/java:../glib/src/java: \
		$(JAVADOC_OPTIONS) \
		-windowtitle "Java-Gnome $(apiversion) GLADE API Reference" \
		-doctitle "Java-Gnome $(apiversion) GLADE API Reference" \
		-footer $(JAVADOC_FOOTER) \
		-linkoffline $(DESTDIR)$(datadir)/java-gnome-$(apiversion)/api/gtk/ ../doc-core/api/ \
		-linkoffline $(DESTDIR)$(datadir)/java-gnome-$(apiversion)/api/gnome/ ../doc-gnome/api/ \
		org.gnu.glade

# Install targets
install: 
	# TODO: create a makefile in the following place, linking to the jar files,
	# setting ld-library-path, etc. as determined by the configure script.
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/org/gnu/glade/class-use/
	$(INSTALL) -m644 api/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/
	$(INSTALL) -m644 api/*.css $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/
	$(INSTALL) -m644 api/package-list $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/
	$(INSTALL) -m644 api/org/gnu/glade/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/org/gnu/glade/
	$(INSTALL) -m644 api/org/gnu/glade/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/org/gnu/glade/class-use/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade/clock
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade-gnome
	$(INSTALL) -m644 examples/glade/*.* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade
	$(INSTALL) -m644 examples/glade/clock/*.* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade/clock
	$(INSTALL) -m644 examples/glade-gnome/*.* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade-gnome
	-for f in $(DOCUMENTS); do $(INSTALL) -m644 $(JG_DOC_DIR)/$$f $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion) || exit 1; done
	

# Uninstall targets
uninstall: 
	rm -rf $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/glade

native_install: install
native_uninstall: uninstall

clean:
	-rm -rf api

mostlyclean:
distclean: clean
maintainer-clean: distclean
