=== doc-gnome/Makefile ===
################################################################################
# This file is automatically generated by ./genMakefile.in 
# from Makefile.in.in and other sources linked from there. Do not edit directly
################################################################################

# This file is part of Java-GNOME.
#
# Java-GNOME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Java-GNOME is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Java-GNOME; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
version=2.6.0
apiversion=2.6
gtkversion=2.4.0
gtkapiversion=2.4
vteversion=0.11.10
vteapiversion=0.11

top_srcdir=..
srcdir=.

# Directories for configure.  Will remove the redundant ones when we know where
# to install the files.
prefix=/home/debian/java-gnome/java-gnome-2.6.0.1/debian/tmp/usr
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${prefix}/lib/jni
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com

INSTALL=/usr/bin/install -c
JG_DOC_DIR=../

# Set Java related stuff
JAVADOC = /usr/bin/javadoc
JAVAC = /usr/bin/javac
JAVA = /usr/bin/java
JAR = /usr/bin/jar

DOCBOOK = /usr/bin/db2html

all: tutorial api

tutorial: build-tutorial/index.html
build-tutorial/index.html: doc/GNOME-tutorial.sgml
	-mkdir build-tutorial
	$(DOCBOOK) -o build-tutorial doc/GNOME-tutorial.sgml
	
SOURCE_PATH:=../gnome/src/java/org/gnu/gnome/*.java \
			../gnome/src/java/org/gnu/gnome/event/*.java 
SOURCES:= $(shell /bin/ls $(SOURCE_PATH) ) 

## IF YOU MODIFY JAVADOC CREATION, PLEASE ALSO MODIFY IT IN THE BUILD SCRIPT ###
JAVADOC_OPTIONS=-public -use -version -author
JAVADOC_FOOTER="Please send any bug reports, comments, or suggestions for the API or documentation to <a href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@lists.sf.net</a>"
# API documentation is generated by the build scripts for the tarballs. This
# target should only be used from cvs (and in fact will only work from cvs)
api: $(SOURCES)
	-mkdir -pv api 
	-rm -rf api/* 
	$(JAVADOC) \
		-d api \
		-sourcepath ../gnome/src/java:../gtk/src/java:../atk/src/java:../gdk/src/java:../pango/src/java:../glib/src/java: \
		$(JAVADOC_OPTIONS) \
		-windowtitle "Java-Gnome $(apiversion) GNOME API Reference" \
		-doctitle "Java-Gnome $(apiversion) GNOME API Reference" \
		-footer $(JAVADOC_FOOTER) \
		-linkoffline $(DESTDIR)$(datadir)/java-gnome-$(apiversion)/api/core/ ../doc-core/api/ \
		org.gnu.gnome \
		org.gnu.gnome.event || true

# Install targets
install: tutorial api
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/gnome/
	cp build-tutorial/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/gnome/
	# TODO: create a makefile in the following place, linking to the jar files,
	# setting ld-library-path, etc. as determined by the configure script.
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/class-use/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/event/
	$(INSTALL) -m644 api/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/
	$(INSTALL) -m644 api/*.css $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/
	$(INSTALL) -m644 api/package-list $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/
	$(INSTALL) -m644 api/org/gnu/gnome/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/
	$(INSTALL) -m644 api/org/gnu/gnome/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/class-use/
	$(INSTALL) -m644 api/org/gnu/gnome/event/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/event/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/app
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/appbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/colorpicker
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/dateedit
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/druid
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/entry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fileentry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fontpick
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gconf
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeconfig
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomesound
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeurl
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/href
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/iconentry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/popupmenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiomenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiotoolbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/simplemenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stockmenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stocktoolbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/testgnome
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/vte
	$(INSTALL) -m644 examples/app/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/app
	$(INSTALL) -m644 examples/appbar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/appbar
	$(INSTALL) -m644 examples/colorpicker/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/colorpicker
	$(INSTALL) -m644 examples/dateedit/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/dateedit
	$(INSTALL) -m644 examples/druid/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/druid
	$(INSTALL) -m644 examples/entry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/entry
	$(INSTALL) -m644 examples/fileentry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fileentry
	$(INSTALL) -m644 examples/fontpick/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fontpick
	$(INSTALL) -m644 examples/gconf/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gconf
	$(INSTALL) -m644 examples/gnomeconfig/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeconfig
	$(INSTALL) -m644 examples/gnomesound/*.java examples/gnomesound/*.wav $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomesound
	$(INSTALL) -m644 examples/gnomeurl/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeurl
	$(INSTALL) -m644 examples/href/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/href
	$(INSTALL) -m644 examples/iconentry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/iconentry
	$(INSTALL) -m644 examples/popupmenu/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/popupmenu
	$(INSTALL) -m644 examples/radiomenu/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiomenu
	$(INSTALL) -m644 examples/radiotoolbar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiotoolbar
	$(INSTALL) -m644 examples/simplemenu/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/simplemenu
	$(INSTALL) -m644 examples/stockmenu/*.java examples/stockmenu/*.dat $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stockmenu
	$(INSTALL) -m644 examples/stocktoolbar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stocktoolbar
	$(INSTALL) -m644 examples/testgnome/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/testgnome
	$(INSTALL) -m644 examples/vte/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/vte
	-for f in $(DOCUMENTS); do $(INSTALL) -m644 $(JG_DOC_DIR)/$$f $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion) || exit 1; done
	

# Uninstall targets
uninstall: 
	rm -rf $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core

native_install: install
native_uninstall: uninstall

clean:
	-rm -rf build-faq
	-rm -rf api


mostlyclean:
distclean: clean
maintainer-clean: distclean
