## java-gnome 4.0.15

=== debian/changelog ===
java-gnome (4.0.15-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Change maintainers into Maintainers.
  * Remove Thomas from Uploaders.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 21:28:43 +0200

java-gnome (4.0.14-2) unstable; urgency=low

  * debian/patches/01_take_screenshots.diff
    - Disable the file chooser dialog again as it still causes FTBFS on buildd.
      (Closes: #564494) 
  * debian/rules
    - Add verbosity to build log if architecture is hppa. This will help us
      track down cause of FTBFS on hppa.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 16 Jan 2010 19:19:07 +0530

java-gnome (4.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    - Add compiler flag -ffunction-sections if the architecture is hppa. Fixes
      FTBFS on hppa. (Closes: #558999)
  * debian/patches/01_take_screenshots.diff
    - Revert the commenting of the code that launches file chooser dialog.
      Not needed anymore as the glib bug that caused the FTBFS is fixed.
  * debian/copyright
    - Rewrite file according to DEP-5. Clarify licensing of some files which
      are not part of the runtime.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 28 Dec 2009 15:50:27 +0530

java-gnome (4.0.13-3) unstable; urgency=low

  * debian/rules
    - Do not build docs on anything other than i386, amd64, powerpc.
      Fixes FTBFS on Debian as well as Ubuntu buildd.
  * debian/control
    - Add 'DM-Upload-Allowed: yes' so that I can upload the package when I
      become DM. :-)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 21 Sep 2009 20:06:40 +0530

java-gnome (4.0.13-2) unstable; urgency=low

  * debian/patches/01_take_screenshots.diff
    - Comment out the code that launches file chooser dialog. It caused build
      failure on buildd. (Closes: #546313)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 17 Sep 2009 23:24:56 +0530

java-gnome (4.0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add cdbs build-dependency.
    - Bump GTK+ build dependency version as per upstream.
    - Add build dependencies xvfb, xfonts-base, metacity, hicolor-icon-theme.
      These are needed for screenshot generation during build.
    - Add a -doc package which contains API documentation. (LP: #309023)
    - Remove ${shlibs:Depends} dependency for -java package.
    - Add myself to uploaders.
    - Change standard version to 3.8.3.
  * debian/rules
    - Rewrite to build using cdbs. The file is simplified and very small now.
    - Add configure argument specifying jni directory.
  * debian/libjava-gnome-*.install
    - Add files to use with cdbs.
  * debian/patches/01_change_jni_library_location.diff
    - Removed. Not needed anymore.
  * debian/patches/01_take_screenshots.diff
    - Small changes to upstream code that takes screenshots during build
      process. The patch makes sure the process works inside pbuilder chroot.
  * debian/README.source
    - Add to comply with policy.
  * debian/watch
    - Make regular expression more compact.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 07 Sep 2009 12:29:11 +0530

java-gnome (4.0.12-1) unstable; urgency=low
  
  [ Manu Mahajan ]
  * Update to latest upstream release 4.0.12 (LP: #380446)
  * Split the binary package into two separate packages for java and jni files

  [ Onkar Shinde ]
  * debian/control
    - Add various build dependencies as specified in configure file in upstream
      source.
    - Remove build dependency default-jdk-builddep. We do not build any -gcj
      package.
    - Add default-jre | java5-runtime as dependency since the target JVM
      version is 1.5.
  * debian/rules
    - Remove the hard coded version of jni .so file.

  [ Torsten Werner ]
  * Change Section: java.
  * Add get-orig-source target to debian/rules.
  * Minor fix in debian/copyright: do not refer to unversioned GPL file.

 -- Torsten Werner <twerner@debian.org>  Thu, 20 Aug 2009 20:22:27 +0200

java-gnome (4.0.9-2) unstable; urgency=low

  [ Manu Mahajan ]
  * Merged changes from Ubuntu package(4.0.9-1) courtesy of Hannes Wallnoefer

 -- Manu Mahajan <manu@codepencil.com>  Sat, 20 Dec 2008 22:45:00 +0530

java-gnome (4.0.9-1) unstable; urgency=low

  [ Hannes Wallnoefer ]
  * New upstream release 4.0.9
  * Remove Cairo export patch, bug has been fixed upstream 
    (Gnome bug #528282)

 -- Hannes Wallnoefer <hannes@helma.at>  Wed, 03 Dec 2008 23:49:59 +0100

java-gnome (4.0.7-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Upgraded to upstream version 4.0.7
  * Changed build dependency from java-gcj-compat-dev to default-jdk-builddep
    Closes: #477867

  [ Thomas Girard ]
  * Switch to quilt for patch management
  * Add Vcs-*: fields to debian/control
  * Add Homepage: field to debian/control
  * Apply patch to prevent export of Cairo backend functions. Thanks to
    Loïc Minier for his invaluable help on this FTBFS bug. Closes: #476295
  * Remove markdown section from debian/copyright; it's no longer distributed
    in the tarball.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 10 May 2008 13:57:29 +0000

java-gnome (4.0.6-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Initial release, Closes: Bug#467442
  * Changed location of libgtkjni from usr/lib to usr/lib/jni
  * Tweaked the MakeFile to build with java-gcj-compat-dev

  [ Thomas Girard ]
  * Backport changeset 449: "Remove 15 warnings related to sentinels"

 -- Manu Mahajan <manu@codepencil.com>  Mon, 24 Mar 2008 01:01:11 +0530
