=== debian/control ===
Source: java-gnome
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Manu Mahajan <manu@codepencil.com>, Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends: debhelper (>= 5), cdbs, default-jdk, junit, libgtk2.0-dev (>= 2.16), libpango1.0-dev (>= 1.22), libgtksourceview2.0-dev (>= 2.6.1), libnotify-dev (>= 0.4.5), libgtkspell-dev (>= 2.0.13), libunique-dev (>= 1.0.8), libglade2-dev, xvfb, xfonts-base, metacity, hicolor-icon-theme
Standards-Version: 3.8.4
Section: java
Homepage: http://java-gnome.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-gnome
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-gnome
DM-Upload-Allowed: yes

Package: libjava-gnome-java
Architecture: all
Depends: ${misc:Depends}, default-jre | java5-runtime, libjava-gnome-jni
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust 
 engineering design, completely generated internals, a lovingly crafted 
 layer presenting the public API, and steadily increasing coverage of 
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for 
 Linux applications so that they richly integrate with the GNOME Desktop 
 while leveraging the power of the Java language and your expertise with 
 it.

Package: libjava-gnome-jni
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust 
 engineering design, completely generated internals, a lovingly crafted 
 layer presenting the public API, and steadily increasing coverage of 
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for 
 Linux applications so that they richly integrate with the GNOME Desktop 
 while leveraging the power of the Java language and your expertise with 
 it.

Package: libjava-gnome-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjava-gnome-java
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust 
 engineering design, completely generated internals, a lovingly crafted 
 layer presenting the public API, and steadily increasing coverage of 
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for 
 Linux applications so that they richly integrate with the GNOME Desktop 
 while leveraging the power of the Java language and your expertise with 
 it.
 .
 This package contains the API documentation.
