## java-gnome 4.0.19

=== debian/changelog ===
java-gnome (4.0.19-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #596252) (Forwarded: Debian: 588943)
  * debian/control
    - Update dependencies version according to the upstream configure file.
    - Update Standards-Version to 3.9.1.
    - Sync JNI and JAR packages.
  * debian/copyright
    - Update copyright to 2011.
  * debian/patches/01_take_screenshots.diff
    - Fix patch to make doc screenshots works.
  * debian/patches/02_javadoc_workaround.patch
    - Fix javadoc generation.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Fri, 18 Feb 2011 17:46:52 +0100
