=== debian/control ===
Source: java-gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Manu Mahajan <manu@codepencil.com>,
           Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5),
               default-jdk,
               hicolor-icon-theme,
               junit,
               libatk1.0-dev,
               libcairo2-dev (>= 1.10),
               libenchant-dev,
               libglade2-dev,
               libglib2.0-dev (>= 2.22),
               libgtk2.0-dev (>= 2.22),
               libgtksourceview2.0-dev (>= 2.6.1),
               libgtkspell-dev (>= 2.0.15),
               libnotify-dev (>= 0.4.5),
               libpango1.0-dev (>= 1.28),
               librsvg2-dev (>= 2.32),
               libunique-dev (>= 1.0.8),
               metacity,
               quilt,
               xfonts-base,
               xvfb
Standards-Version: 3.9.1
Section: java
Homepage: http://java-gnome.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-gnome
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-gnome
DM-Upload-Allowed: yes

Package: libjava-gnome-java
Architecture: all
Depends: default-jre | java5-runtime,
         libjava-gnome-jni (>= ${source:Version}),
         ${misc:Depends}
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.

Package: libjava-gnome-jni
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.

Package: libjava-gnome-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjava-gnome-java
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the API documentation.
