=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/java-gnome/([\d\.]+)/java-gnome-([\d\.]+)\.tar\.gz debian uupdate
